Home > RhinoScript Methods > Line, Circle & Plane Methods > PlaneCurveIntersection
Intersect an infinite plane and a curve object.
Rhino.PlaneCurveIntersection (arrPlane, strCurve [, dblTolerance])
arrPlane |
Required. Array. The plane to intersect. |
strCurve |
Required. String. The identifier of the curve object. |
dblTolerance |
Optional. Number. The intersection tolerance. If omitted, the document's absolute tolerance is used. |
Array |
A two-dimensional array of intersection information if successful. The array will contain one or more of the following elements:
|
||||||||||||||||||||||||||||||||||||
Null |
If not successful, or on error. |
Sub TestPlaneCurveIntersection
Dim strCurve, arrPlane, arrX, i
strCurve = Rhino.GetObject("Select curve", 4)
If IsNull(strCurve) Then Exit Sub
arrPlane = Rhino.WorldXYPlane
arrX = Rhino.PlaneCurveIntersection(arrPlane, strCurve)
If IsArray(arrX) Then
For i = 0 To UBound(arrX)
Rhino.AddPoint arrX(i,1)
Next
End If
End Sub